%global momorel 11

Summary: Meta package for KDE
Name: KDE
Version: 3.5.7
Release: %{momorel}m%{?dist}
License: LGPL
# same as kdelibs
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-root

################################################

## these are necessary and should be install in this order
Requires: qt
Requires: arts
Requires: arts-artsc
Requires: kdelibs

## Qt plugin modules
Requires: qt-MySQL
Requires: qt-ODBC
Requires: qt-PostgreSQL
Requires: qt-sqlite

## minimal functionality
Requires: kdebase

## maybe necessary for Japanese Users
Requires: kde-i18n-Japanese

## basic functionality and applications
Requires: kdegraphics
Requires: kdeartwork
Requires: kdenetwork
Requires: kdemultimedia
Requires: kdeadmin
Requires: kdepim
Requires: kdeutils

## additional functionality and applications
## kdeaddons requires kdegames...
Requires: qt-styles
Requires: kdeedu
Requires: kdegames
Requires: kdeaddons
Requires: kdetoys
Requires: kdeaccessibility

## packages for developement
Requires: PyKDE
Requires: PyQt
Requires: kdbg
Requires: kdiff3
Requires: kdebindings
Requires: kdesdk
Requires: kdevelop
Requires: kdewebdev
Requires: qt-designer
Requires: qtruby
Requires: sip

## some packages not distributed by kde.org
# hosted at extragear.kde.org
Requires: amarok
# Requires: amarok-gstreamer
%ifnarch ia64 x86_64
Requires: amarok-helix
%endif
Requires: amarok-libvisual
Requires: amarok-xine
Requires: amarok-yauap
Requires: digikam
Requires: digikam-doc
Requires: gwenview
Requires: k3b
Requires: kaffeine
Requires: kaffeine-plugin
Requires: kaquarium
Requires: katapult
Requires: kcpuload
Requires: kdebluetooth
Requires: kdetv
Requires: kerry
Requires: keurocalc
Requires: kftpgrabber
Requires: kile
Requires: kiosktool
Requires: kipi-plugins
Requires: kmplayer
Requires: knemo
Requires: knetstats
Requires: knetworkmanager
Requires: konversation
Requires: kphotoalbum
Requires: krecipes
Requires: ksudoku
%ifnarch ia64
Requires: ksynaptics
%endif
Requires: ktorrent
Requires: kwlan
Requires: rsibreak
Requires: yakuake

## independent
Requires: amarokFS
Requires: audiokonverter
Requires: basket
Requires: gammu
Requires: gtk-qt-engine
Requires: k9copy
Requires: kalgebra
Requires: kannadic
Requires: kasablanca
Requires: kbackup
Requires: kbibtex
Requires: kbilliards
Requires: kchmviewer
Requires: kcometen3
Requires: kdirstat
Requires: kdissert
Requires: kdocker
Requires: kgraphviewer
Requires: kgtk
Requires: kguitar
Requires: kickpim
Requires: kid3
Requires: kima
Requires: kita
Requires: klamav
Requires: kleansweep
Requires: kmobiletools
Requires: kmymoney
Requires: kompose
Requires: kover
Requires: koverartist
Requires: kpowersave
Requires: kreetingkard
Requires: krename
Requires: krusader
Requires: ksensors
Requires: kshutdown
Requires: ksmoothdock
Requires: ksshaskpass
Requires: ktechlab
Requires: ktrack
Requires: kwave
Requires: kyum
Requires: libakode
Requires: libopensync-plugin-kdepim
Requires: lmms
Requires: polyester
Requires: qdvdauthor
Requires: qtparted
Requires: rosegarden
Requires: scribus
Requires: smb4k
Requires: soundkonverter

## for 3D desktop
Requires: compiz-kde
Requires: fusion-icon-qt3
Requires: kicker-compiz

## independent packages for developement
Requires: kdesvn
Requires: kdesvn-svnqt
Requires: kdesvn-kiosvn

## for amarok and kaffeine
Requires: xine-lib
Requires: xine-lib-alsa
Requires: xine-lib-arts
Requires: xine-lib-esd
Requires: xine-lib-flac
Requires: xine-lib-jack
Requires: xine-lib-musepack
Requires: xine-lib-oggvorbis
Requires: xine-lib-oss
Requires: xine-lib-pulseaudio
Requires: xine-lib-sdl
Requires: xine-lib-smb
%ifarch %{ix86}
Requires: xine-lib-w32dll
%endif
Requires: xine-lib-xcb
Requires: xine-lib-xv

## koffice
Requires: koffice-core
Requires: koffice-filters
Requires: koffice-karbon
Requires: koffice-kchart
Requires: koffice-kexi
Requires: koffice-kformula
Requires: koffice-kivio
Requires: koffice-kplato
Requires: koffice-kpresenter
Requires: koffice-krita
Requires: koffice-kspread
Requires: koffice-kugar
Requires: koffice-kword
Requires: koffice-suite

## I am Japanese...
Requires: koffice-l10n-Japanese

## for input method
Requires: scim-input-pad
Requires: scim-tomoe
Requires: skim
Requires: skim-honoka
Requires: skim-scim-anthy
Requires: skim-scim-canna
Requires: skim-scim-hangul
Requires: skim-scim-pinyin
Requires: skim-scim-prime
Requires: skim-scim-skk
Requires: skim-scim-tables
Requires: scim-qtimm
Requires: uim-anthy
Requires: uim-canna
Requires: uim-prime
Requires: uim-qt
Requires: uim-qtimmodule
Requires: uim-skk
Requires: uim-tomoe-gtk

## for kdebase (sylpheed.desktop is on kicker... I need it!)
Requires: sylpheed

## for system start up
Requires: gdm

## for gtk+ themes
Requires: gtk2-engines

## In present settings, Bluecurve is just one optional theme for KDE,
## so it is not necessary
# kmenu needs icons of redhat-artwork
Requires: redhat-artwork

################################################

# Requires: xorg-x11
# Requires: sdr
Requires: xorg-x11-xinit-base

%description
This is meta package for KDE.

################################################

%package devel
Summary: Meta package for KDE development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

################################################

Requires: PyKDE-devel
Requires: PyKDE-examples
Requires: PyQt-devel
Requires: PyQt-examples
Requires: qt-devel
Requires: arts-devel
Requires: arts-artsc-devel
Requires: dbus-qt-devel
Requires: kdelibs-devel
Requires: libakode-devel
Requires: libkdcraw-devel
Requires: libkexif-devel
Requires: libkexiv2-devel
Requires: libkipi-devel
Requires: kdebindings-devel
Requires: kdesdk-devel
Requires: koffice-devel
Requires: scribus-devel
Requires: sip-devel

## independent
Requires: gammu-devel
Requires: kdesvn-svnqt-devel
Requires: kftpgrabber-devel
Requires: smb4k-devel

%description devel
This is meta package for KDE development.

%package suite
Summary: Meta package for KDE and independent packages
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

Requires: games-suite
Requires: graphics-suite
Requires: internet-suite
Requires: multimedia-suite
Requires: office-suite
Requires: openoffice.org-kde

%description suite
This is meta package for KDE and independent packages.

%files

%files devel

%files suite

%changelog
* Tue Jul 17 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-11m)
- add Requires: kicker-compiz
- add Requires: koverartist

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-10m)
- add Requires: kgraphviewer

* Sat Jul  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-9m)
- change Requires from fusion-icon to fusion-icon-qt3

* Sat Jul  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-8m)
- add Requires: fusion-icon

* Thu Jul  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-7m)
- add Requires: compiz-kde
- remove Requires: pykompiz

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-6m)
- add Requires: gammu
- add Requires: gammu-devel

* Wed Jun 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-5m)
- add Requires: gtk2-engines

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-4m)
- add Requires: digikam-doc

* Thu Jun 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-3m)
- remove Requires: digikamimageplugins, it's merged into digikam

* Sun Jun  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.7-2m)
- add Requires: libopensync-plugin-kdepim

* Sat May 26 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.7-1m)
- update to KDE 3.5.7

* Mon May 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-41m)
- remove Requires: beryl-aquamarine

* Fri May 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-40m)
- add Requires: libkdcraw-devel

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-39m)
- add Requires: kwave

* Thu May 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-38m)
- add Requires: kmplayer

* Mon May  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-37m)
- add Requires: gdm

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-36m)
- add Requires: kdebluetooth

* Wed May  2 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-35m)
- add Requires: kwlan

* Wed Apr 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-34m)
- add Requires: openoffice.org-kde

* Tue Apr 24 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-33m)
- add a package KDE-suite
- add Requires: kaffeine-plugin

* Wed Apr 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-32m)
- add Requires: uim-anthy
- add Requires: uim-canna
- add Requires: uim-prime
- add Requires: uim-skk

* Wed Apr 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-31m)
- add Requires: xine-lib-xcb again
- add Requires: xine-lib-musepack

* Sat Apr 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-30m)
- remove Requires: xine-lib-xcb for the moment

* Fri Apr 13 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-29m)
- add Requires: kiosktool

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-28m)
- add Requires: lmms
- add Requires: qdvdauthor
- add Requires: soundkonverter

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-27m)
- add Requires: scim-input-pad

* Thu Apr 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-26m)
- add Requires: skim-scim-pinyin
- add Requires: skim-scim-tables

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-25m)
- add Requires: audiokonveter
- add Requires: kima
- add Requires: ksmoothdock

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-24m)
- add Requires: skim-scim-hangul

* Tue Apr 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-23m)
- add Requires: xine-lib-pulseaudio
- add Requires: xine-lib-sdl
- add Requires: xine-lib-smb
- add Requires: xine-lib-xcb

* Tue Apr  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-22m)
- remove Requires: k9copy-devel

* Tue Apr  3 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-21m)
- add Requires: beryl-aquamarine

* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-20m)
- add Requires: rsibreak

* Sun Apr  1 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-19m)
- add Requires: gtk-qt-engine
- add Requires: polyester

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-18m)
- add Requires: basket
- add Requires: kalgebra
- add Requires: kbibtex
- add Requires: kchmviewer
- add Requires: kile

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-17m)
- add Requires: ksshaskpass
- add Requires: ktechlab
- add Requires: ktrack

* Fri Mar 30 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-16m)
- aad Requires: kcometen3
- add Requires: kdirstat
- add Requires: kdocker
- add Requires: keurocalc
- add Requires: kgtk
- add Requires: kickpim
- add Requires: kid3
- add Requires: knetstats
- add Requires: kover
- add Requires: kpowersave
- add Requires: kshutdown

* Fri Mar 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-15m)
- add Requires: k9copy-devel
- add Requires: scim-tomoe
- add Requires: uim-tomoe-gtk

* Thu Mar 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-14m)
- add Requires: k9copy

* Wed Mar 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-13m)
- add Requires: ksudoku

* Wed Mar 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-12m)
- add Requires: ksynaptics

* Mon Mar 19 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-11m)
- add Requires: amarokFS
- add Requires: kbilliards
- add Requires: kdetv
- add Requires: kdiff3
- add Requires: kdissert

* Mon Mar 12 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-10m)
- add Requires: katapult
- add Requires: krusader

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-9m)
- add Requires: kbackup
- add Requires: kleansweep
- add Requires: kmobiletools
- add Requires: kmymoney
- add Requires: knemo
- add Requires: kphotoalbum
- add Requires: qt-MySQL
- add Requires: qt-ODBC
- add Requires: qt-PostgreSQL
- add Requires: qt-sqlite
- add Requires: dbus-qt-devel

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-8m)
- add Requires: knetworkmanager
- add Requires: krecipes
- add Requires: ksensors
- add Requires: smb4k
- add Requires: smb4k-devel

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-7m)
- add Requires: klamav

* Sat Mar 10 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-6m)
- add Requires: PyKDE-examples

* Wed Mar  7 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-5m)
- add Requires: kyum

* Tue Mar  6 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-4m)
- add Requires: kdesvn-kiosvn
- add Requires: kguitar

* Sun Feb 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-3m)
- add Requires: libkexiv2-devel

* Mon Feb  5 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.6-2m)
- remove Requires: amarok-xmms

* Sat Feb  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.6-1m)
- update to KDE 3.5.6

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.5-6m)
- add Requires: amarok-yauap

* Sun Dec 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.5-5m)
- add Requires: xine-lib-jack

* Tue Dec  5 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-4m)
- add Requires: PyKDE
- add Requires: PyKDE-devel
- add Requires: PyQt-devel
- add Requires: PyQt-examples
- add Requires: sip-devel

* Wed Nov 15 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-3m)
- add Requires: ktorrent

* Sat Oct 28 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-2m)
- replace Requires: kfish with Requires: kaquarium

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5

* Sun Oct  1 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.4-3m)
- add Requires: kftpgrabber
- add Requires: kftpgrabber-devel

* Mon Sep 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-2m)
- add Requires: kdesvn
- add Requires: kdesvn-svnqt
- add Requires: kdesvn-svnqt-devel
- add Requires: konversation

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Sun Jul 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-7m)
- add Requires: kasablanca

* Mon Jul  3 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-6m)
- remove Requires: amarok-gstreamer

* Fri Jun 30 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-5m)
- add Requires: pykompiz

* Tue Jun 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-4m)
- add Requires: yakuake 

* Mon Jun 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-3m)
- add Requires: amarok-gstreamer again

* Thu Jun  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-2m)
- revise Requires for ia64 and x86_64
- remove BuildArchitectures: noarch

* Thu Jun  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- version update to 3.5.3
- add Requires: kerry
- add Requires: scribus-devel

* Thu May 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-5m)
- remove Requires: amarok-gstreamer (not yet stable)

* Wed May 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-4m)
- add Requires: qtparted
- add Requires: scribus

* Sun Apr 30 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5.2-3m)
- change xinitrc -> xorg-x11-xinit

* Fri Apr 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-2m)
- add Requires: sylpheed
 - sylpheed is required by kickerrc of kdebase
 - gtk+ is required even if it does not demand sylpheed

* Tue Apr  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- version update to 3.5.2
- add amarok-gstreamer again (gstreamer010, welcome)

* Mon Mar 27 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-5m)
- add Requires: libakode, libakode-devel

* Fri Mar 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-4m)
- modify for koffice-1.5-beta2

* Mon Mar  6 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-3m)
- remove Requires: amarok-gstreamer (wait for GStreamer-0.10)

* Wed Mar  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-2m)
- add Requires: krename

* Sun Feb  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- version update to 3.5.1
- add Requires: skim-honoka
- add Requires: skim-scim-anthy
- add Requires: skim-scim-canna
- add Requires: skim-scim-prime
- add Requires: skim-scim-skk

* Fri Oct  7 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add a package KDE-devel

* Fri Sep 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- version update to 3.4.2
- add Requires: amarok-helix
- add Requires: digikam
- add Requires: digikamimageplugins
- add Requires: kipi-plugins
- add Requires: redhat-artwork
- Requires: koffice-i18n-Japanese -> koffice-l10n-Japanese
- Requires: uim-kdehelper -> uim-qt
- Requires: uim-qt -> uim-qtimmodule

* Wed Mar  2 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-2m)
- add Requires: amarok-libvisual
- add Requires: kannadic
- add Requires: kompose
- add Requires: kreetingkard
- add Requires: rosegarden
- add Requires: xine-lib
- add Requires: xine-lib-alsa
- add Requires: xine-lib-arts
- add Requires: xine-lib-esd
- add Requires: xine-lib-flac
- add Requires: xine-lib-oggvorbis
- add Requires: xine-lib-oss
- add Requires: xine-lib-xv
- add Requires: xine-lib-w32dll
- add Requires: skim
- add Requires: scim-qtimm
- add Requires: uim-qt
- add Requires: uim-kdehelper

* Sun Jan  9 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-1m)
- version update to 3.3.2
- add Requires: PyQt
- add Requires: amarok
- add Requires: k3b
- add Requires: kita
- add Requires: qtruby
- add Requires: sip
- Requires: quanta -> kdewebdev

* Sat May 15 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.2-2m)
- revise for only require packages from kde.org and extragear.kde.org (kaffeine is also included)

* Tue May 11 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.2.2-1m)
- version update to 3.2.2
